using CanYouBuildIt.Model;
using Microsoft.UI.Xaml;
using System.Diagnostics;

namespace CanYouBuildIt.Views;

public partial class Acceuil : ContentPage
{
	public Manager Manager=> (App.Current as App).Manager;
	public Acceuil()
	{
		InitializeComponent();
		utilView.BindingContext = Manager;
	}

	private void AddUtilisater(object sender, EventArgs e)
	{
		Utilisateur utilisateur = new Utilisateur("Util1","pdm1");
		Debug.WriteLine("Utilisateur créé");
	}
    private void NavFav(object sender, EventArgs e)
	{
        Navigation.PushAsync( new Favoris());
        Navigation.PopAsync();
    }

}